- request:
    method: GET
    path: /api/v4/projects/{{project_name}}/repository/files/Gemfile
    query_params:
      ref: d522b9716589980822850be63025b767f0d78768
  response:
    status: 200
    headers:
      Content-Type: application/json
    body: |
      {
        "file_name": "Gemfile",
        "file_path": "Gemfile",
        "size": 133,
        "encoding": "base64",
        "content_sha256": "5c7ebbeff2fe8fd21c8af05f2c137c7b33d5c5ebc35cd152c0ccf771ba7b53eb",
        "ref": "d522b9716589980822850be63025b767f0d78768",
        "blob_id": "0fa78ba25aee3ed6f754c01441b7eb3d8897c3f7",
        "commit_id": "d522b9716589980822850be63025b767f0d78768",
        "last_commit_id": "a561e142fb670429c9661ecafc581acc6a5d16d2",
        "content": "{{gemfile}}"
      }

- request:
    method: GET
    path: /api/v4/projects/{{project_name}}/repository/files/Gemfile.lock
    query_params:
      ref: d522b9716589980822850be63025b767f0d78768
  response:
    status: 200
    headers:
      Content-Type: application/json
    body: |
      {
        "file_name": "Gemfile.lock",
        "file_path": "Gemfile.lock",
        "size": 870,
        "encoding": "base64",
        "content_sha256": "253572af01fdebfe6a9ecda792f1070cfb6ea8f3a8d9d1d860c5d685837c574d",
        "ref": "d522b9716589980822850be63025b767f0d78768",
        "blob_id": "c385e8593f517c93a25360a064a11fd8bb8f9353",
        "commit_id": "d522b9716589980822850be63025b767f0d78768",
        "last_commit_id": "a561e142fb670429c9661ecafc581acc6a5d16d2",
        "content": "{{gemfile_lock}}"
      }
